VERSION 5.00
Begin VB.Form frmWatchdog 
   Caption         =   "Watchdog"
   ClientHeight    =   3735
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9525
   LinkTopic       =   "Watchdog"
   ScaleHeight     =   3735
   ScaleWidth      =   9525
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   " Watchdog "
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2655
      Left            =   240
      TabIndex        =   3
      Top             =   840
      Width           =   9015
      Begin VB.CommandButton wddButton 
         Caption         =   "Start Watchdog"
         BeginProperty Font 
            Name            =   "Agilent TT Cond"
            Size            =   11.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   495
         Left            =   240
         TabIndex        =   5
         Top             =   480
         Width           =   3735
      End
      Begin VB.ListBox resultBox 
         BeginProperty Font 
            Name            =   "Agilent TT Cond"
            Size            =   11.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   1770
         Left            =   4320
         TabIndex        =   4
         Top             =   360
         Width           =   4455
      End
      Begin VB.Label Label2 
         Caption         =   "Press ""Start Watchdog"" button to set watchdog state of output channel 1 as 255 and watchdog timeout as 5 seconds."
         BeginProperty Font 
            Name            =   "Agilent TT Cond"
            Size            =   11.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   975
         Left            =   360
         TabIndex        =   6
         Top             =   1200
         Width           =   3615
      End
   End
   Begin VB.CommandButton initButton 
      Caption         =   "Initialise"
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   7680
      TabIndex        =   2
      Top             =   240
      Width           =   1575
   End
   Begin VB.TextBox dioStr 
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2280
      TabIndex        =   1
      Top             =   240
      Width           =   5295
   End
   Begin VB.Label Label1 
      Caption         =   "Visa Resource Name:"
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1935
   End
End
Attribute VB_Name = "frmWatchdog"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2006 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
' This program is an example program intended for use with
' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
'
' To use the IO object in another Visual Basic project, set the
' reference to include the library in the Project/References menu:
' "IVI AgilentU2121 1.0 Type Library"
'
Dim Dio As AgilentU2121
Private Declare Sub Sleep Lib "kernel32" (ByVal dwMilliseconds As Long)

'Initialise AgilentU2121
Private Sub initButton_Click()

    Set Dio = New AgilentU2121
    
    Dio.Initialize dioStr.Text, True, True
    
    On Error GoTo MyError
    
    Exit Sub

MyError:
    
    txtError = Err.Description & vbCrLf
    
End Sub

'Enable watchdog and query back the result after watchdog timeout
Private Sub wddButton_Click()
    
    Dim output As AgilentU2121OutputChannel
    Dim Data As Long
    
    resultBox.AddItem ("Please wait for 5 seconds...")
    
    Dio.Watchdog.State("OutputChannel1") = 255
    
    Dio.Watchdog.Timeout = 5
    
    Dio.Watchdog.Enabled = True
    
    On Error GoTo MyError
    
    Sleep 5200
    
    Set output = Dio.OutputChannels.Item("OutputChannel1")
    output.QueryLastByte Data
    
    resultBox.AddItem ("Output Channel1 after timeout: " + Str(Data))
    
    On Error GoTo MyError
    
MyError:
    
    txtError = Err.Description & vbCrLf
End Sub
