VERSION 5.00
Begin VB.Form frmEdgeDetection 
   Caption         =   "Edge Detection"
   ClientHeight    =   3120
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   8415
   Icon            =   "EDGEDE~1.frx":0000
   LinkTopic       =   "EdgeDetection"
   ScaleHeight     =   3120
   ScaleWidth      =   8415
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame Frame1 
      Caption         =   " Edge Detection "
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   -1  'True
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   2055
      Left            =   240
      TabIndex        =   3
      Top             =   840
      Width           =   7935
      Begin VB.CommandButton edButton 
         Caption         =   "Enable Edge Detection"
         BeginProperty Font 
            Name            =   "Agilent TT Cond"
            Size            =   11.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   495
         Left            =   240
         TabIndex        =   4
         Top             =   480
         Width           =   7455
      End
      Begin VB.Label Label2 
         Caption         =   "Press ""Enable Edge Detection"" button to enable positive edge detection for 8 bits of Output Channel1 "
         BeginProperty Font 
            Name            =   "Agilent TT Cond"
            Size            =   11.25
            Charset         =   0
            Weight          =   400
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         Height          =   735
         Left            =   360
         TabIndex        =   5
         Top             =   1200
         Width           =   7215
      End
   End
   Begin VB.CommandButton initButton 
      Caption         =   "Initialise"
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   6480
      TabIndex        =   2
      Top             =   240
      Width           =   1575
   End
   Begin VB.TextBox dioStr 
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   2280
      TabIndex        =   1
      Top             =   240
      Width           =   4095
   End
   Begin VB.Label Label1 
      Caption         =   "Visa Resource Name:"
      BeginProperty Font 
         Name            =   "Agilent TT Cond"
         Size            =   11.25
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   375
      Left            =   240
      TabIndex        =   0
      Top             =   240
      Width           =   1935
   End
End
Attribute VB_Name = "frmEdgeDetection"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
'    Copyright  2006 Agilent Technologies Inc. All rights
'    reserved.
'
' You have a royalty-free right to use, modify, reproduce and distribute
' the Sample Application Files (and/or any modified version) in any way
' you find useful, provided that you agree that Agilent has no
' warranty,  obligations or liability for any Sample Application Files.
'
' Agilent Technologies provides programming examples for illustration only,
' This sample program assumes that you are familiar with the programming
' language being demonstrated and the tools used to create and debug
' procedures. Agilent support engineers can help explain the
' functionality of Agilent software components and associated
' commands, but they will not modify these samples to provide added
' functionality or construct procedures to meet your specific needs.
' """"""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""
' This program is an example program intended for use with
' Microsoft Visual Basic 6.0 and the Agilent IVI COM objects.
'
' To use the IO object in another Visual Basic project, set the
' reference to include the library in the Project/References menu:
' "IVI AgilentU212X 1.0 Type Library"
'

Dim Dio As AgilentU212X



'Initialise AgilentU212X
Private Sub initButton_Click()

    Set Dio = New AgilentU212X
    
    Dio.Initialize dioStr.Text, True, True
    
    On Error GoTo MyError
    
    Exit Sub

MyError:
    
    txtError = Err.Description & vbCrLf
    
End Sub

'Enable positive edge detection for 8 bits of Output Channel1
Private Sub edButton_Click()

    'Set positive mask for OutputChannel1 to detect positive edge trigger
    Dio.EdgeDetection.PositiveMask("InputChannel") = 255
    
    'Enable edge detection
    Dio.EdgeDetection.Enabled = True
    
    'Enable the AgilentU212XSRQReasonStbEdgeDetection
    'service request generation. This service request is utilized to
    'notify all threads of incoming edge detection events via
    'EdgeDetection.WaitForEvent function.
    'Forgetting to enable this means that the above function will
    'block until timeout waiting for an event that will never be raised.
    'This is step is required on top of enabling the edge detection
    'mechanism.
    Dio.Status.ConfigureServiceRequest (AgilentU212XSRQReasonStbEdgeDetection)
    
    On Error GoTo MyError
    
MyError:
    
    txtError = Err.Description & vbCrLf
End Sub

