' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""'
' Copyright (c) 2006 Agilent Technologies.  All Rights Reserved.           '
'                                                                          '
' Agilent Technologies provides programming samples for illustration       '
' purposes only.  This sample program assumes that you are familiar        '
' with the programming language being demonstrated and the tools used      '
' to create and debug procedures.  Agilent support engineers can help      '
' answer questions relating to the functionality of the software           '
' components provided by Agilent, but they will not modify these samples   '
' to provide added functionality or construct procedures to meet your      '
' specific needs.                                                          '
' You have a royalty-free right to use, modify, reproduce, and distribute  '
' this sample program (and/or any modified version) in any way you find    '
' useful, provided that you agree that Agilent has no warranty,            '
' obligations, or liability for any sample programs.                       '
' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""'
' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""'
'  AgilentDIODAQ2121 Digital Output Examples
'
' This program is an example program intended for use with
' Microsoft Visual Basic 7.0 and the Agilent IVI COM objects.
'
' """""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""""'
'  Microsoft Visual Basic 7.0 Programming Examples

Public Class DigitalOutput
    Inherits System.Windows.Forms.Form
    Private agilentU2121 As Agilent.AgilentU2121.Interop.AgilentU2121Class


#Region " Windows Form Designer generated code "

    Public Sub New()
        MyBase.New()

        'This call is required by the Windows Form Designer.
        InitializeComponent()

        'Add any initialization after the InitializeComponent() call

    End Sub

    'Form overrides dispose to clean up the component list.
    Protected Overloads Overrides Sub Dispose(ByVal disposing As Boolean)
        If disposing Then
            If Not (components Is Nothing) Then
                components.Dispose()
            End If
        End If
        MyBase.Dispose(disposing)
    End Sub

    'Required by the Windows Form Designer
    Private components As System.ComponentModel.IContainer

    'NOTE: The following procedure is required by the Windows Form Designer
    'It can be modified using the Windows Form Designer.  
    'Do not modify it using the code editor.
    Friend WithEvents digitalGroupBox As System.Windows.Forms.GroupBox
    Friend WithEvents label2 As System.Windows.Forms.Label
    Friend WithEvents resultBox As System.Windows.Forms.ListBox
    Friend WithEvents writeButton As System.Windows.Forms.Button
    Friend WithEvents initButton As System.Windows.Forms.Button
    Friend WithEvents dioStr As System.Windows.Forms.TextBox
    Friend WithEvents label1 As System.Windows.Forms.Label
    <System.Diagnostics.DebuggerStepThrough()> Private Sub InitializeComponent()
        Dim resources As System.Resources.ResourceManager = New System.Resources.ResourceManager(GetType(DigitalOutput))
        Me.digitalGroupBox = New System.Windows.Forms.GroupBox
        Me.label2 = New System.Windows.Forms.Label
        Me.resultBox = New System.Windows.Forms.ListBox
        Me.writeButton = New System.Windows.Forms.Button
        Me.initButton = New System.Windows.Forms.Button
        Me.dioStr = New System.Windows.Forms.TextBox
        Me.label1 = New System.Windows.Forms.Label
        Me.digitalGroupBox.SuspendLayout()
        Me.SuspendLayout()
        '
        'digitalGroupBox
        '
        Me.digitalGroupBox.Controls.Add(Me.label2)
        Me.digitalGroupBox.Controls.Add(Me.resultBox)
        Me.digitalGroupBox.Controls.Add(Me.writeButton)
        Me.digitalGroupBox.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Underline, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.digitalGroupBox.Location = New System.Drawing.Point(16, 48)
        Me.digitalGroupBox.Name = "digitalGroupBox"
        Me.digitalGroupBox.Size = New System.Drawing.Size(568, 176)
        Me.digitalGroupBox.TabIndex = 7
        Me.digitalGroupBox.TabStop = False
        Me.digitalGroupBox.Text = " Digital Output"
        '
        'label2
        '
        Me.label2.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.label2.Location = New System.Drawing.Point(16, 88)
        Me.label2.Name = "label2"
        Me.label2.Size = New System.Drawing.Size(248, 64)
        Me.label2.TabIndex = 2
        Me.label2.Text = "Press ""Write Word"" button to write ""255"" to output channel 1 and query back the r" & _
        "esult"
        '
        'resultBox
        '
        Me.resultBox.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.resultBox.ItemHeight = 16
        Me.resultBox.Location = New System.Drawing.Point(280, 24)
        Me.resultBox.Name = "resultBox"
        Me.resultBox.Size = New System.Drawing.Size(272, 132)
        Me.resultBox.TabIndex = 1
        '
        'writeButton
        '
        Me.writeButton.Enabled = False
        Me.writeButton.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.writeButton.Location = New System.Drawing.Point(16, 32)
        Me.writeButton.Name = "writeButton"
        Me.writeButton.Size = New System.Drawing.Size(248, 32)
        Me.writeButton.TabIndex = 0
        Me.writeButton.Text = "Write Word"
        '
        'initButton
        '
        Me.initButton.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.initButton.Location = New System.Drawing.Point(480, 16)
        Me.initButton.Name = "initButton"
        Me.initButton.Size = New System.Drawing.Size(104, 24)
        Me.initButton.TabIndex = 6
        Me.initButton.Text = "Initialize"
        '
        'dioStr
        '
        Me.dioStr.Location = New System.Drawing.Point(160, 16)
        Me.dioStr.Name = "dioStr"
        Me.dioStr.Size = New System.Drawing.Size(312, 20)
        Me.dioStr.TabIndex = 5
        Me.dioStr.Text = ""
        '
        'label1
        '
        Me.label1.Font = New System.Drawing.Font("Microsoft Sans Serif", 9.75!, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, CType(0, Byte))
        Me.label1.Location = New System.Drawing.Point(16, 16)
        Me.label1.Name = "label1"
        Me.label1.Size = New System.Drawing.Size(136, 24)
        Me.label1.TabIndex = 4
        Me.label1.Text = "Visa Resource Name:"
        '
        'DigitalOutput
        '
        Me.AutoScaleBaseSize = New System.Drawing.Size(5, 13)
        Me.ClientSize = New System.Drawing.Size(600, 238)
        Me.Controls.Add(Me.digitalGroupBox)
        Me.Controls.Add(Me.initButton)
        Me.Controls.Add(Me.dioStr)
        Me.Controls.Add(Me.label1)
        Me.Icon = CType(resources.GetObject("$this.Icon"), System.Drawing.Icon)
        Me.Name = "DigitalOutput"
        Me.Text = "Digital Output"
        Me.digitalGroupBox.ResumeLayout(False)
        Me.ResumeLayout(False)

    End Sub

#End Region

    'Initialise AgilentDIODAQ2121
    Private Sub initButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles initButton.Click

        On Error GoTo MyError

        agilentU2121 = New Agilent.AgilentU2121.Interop.AgilentU2121Class
        agilentU2121.Initialize(dioStr.Text, True, True, "")
        writeButton.Enabled() = True

        Exit Sub
MyError:
        MsgBox("Open failed on " + dioStr.Text + " " + Err.Description, MsgBoxStyle.OKOnly, "Error")

    End Sub

    'Write word 255 to OutputChannel1 and query back the OutputChannel1
    Private Sub writeButton_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles writeButton.Click

        On Error GoTo MyError

        Dim Output As Agilent.AgilentU2121.Interop.AgilentU2121OutputChannel
        Dim Result As Integer

        Output = agilentU2121.OutputChannels.Item("OutputChannel1")
        Output.WriteWord(255)
        Output.QueryLastWord(Result)

        resultBox.Items.Add("Output Channel1: " + Str(Result))

        Exit Sub

MyError:
        MsgBox("Fail to write word for Output Channel 1. " + Err.Description, MsgBoxStyle.OKOnly, "Error")

    End Sub
End Class
